%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Name: planet
Version: 2.0
Release: 24%{?dist}
Summary: Flexible RDF/RSS/Atom feed aggregator

Group: Applications/Internet
License: Python
URL: http://www.planetplanet.org/
Source0: http://www.planetplanet.org/download/%{name}-%{version}.tar.bz2
Patch1: planet-1.0-no-shebang.patch
Patch2: planet-js-sanitize.patch
Patch3: planet-feedparser.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildArch: noarch
BuildRequires: python-devel
BuildRequires: python-setuptools
Requires: python-feedparser

%description
Planet is a flexible feed aggregator, this means that it downloads feeds
and aggregates their content together into a single combined feed with
the latest news first.

It uses Mark Pilgrim's Ultra-liberal feed parser so can read from RDF, RSS
and Atom feeds and Tomas Styblo's template library to output static files
in unlimited formats based on a series of templates.


%prep
%setup -q
%patch1 -p1 -b .no-shebang
%patch2 -p0 -b .js-sanitize
%patch3 -p0 -b .feedparser

# Fix line endings.
%{__sed} -i 's/\r//' LICENCE

#Drop timeoutsocket.py to fix BZ 498456.
rm -f planet/timeoutsocket.py

%build
%{__python} setup.py build


%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --skip-build --root $RPM_BUILD_ROOT

# Remove .py from install scripts, e.g. planet.py -> planet.
REGEXP='s:%{_bindir}/\(.*\).py:%{_bindir}/\1:'

for i in $RPM_BUILD_ROOT%{_bindir}/*.py; do
  mv -v $i $(echo $i | sed -e $REGEXP)
done

rm -f $RPM_BUILD_ROOT%{python_sitelib}/planet/feedparser*

%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS INSTALL LICENCE NEWS PKG-INFO THANKS README examples
%{_bindir}/planet*
%exclude %{_bindir}/runtests
%dir %{python_sitelib}/planet
%{python_sitelib}/planet/*.py*
%{python_sitelib}/planet-%{version}-*.egg-info
%dir %{python_sitelib}/planet/compat_logging
%{python_sitelib}/planet/compat_logging/*.py*
%exclude %{python_sitelib}/planet/tests
%exclude %{python_sitelib}/planet/tests/*


%changelog
* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-24
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 2.0-23
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-22
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Jan 23 2015 Jon Ciesla <limburgher@gmail.com> - 2.0-21
- Unbundle feedparser, BZ 1183676.
- Patch for latest feedparser.

* Mon Jan 23 2015 Jon Ciesla <limburgher@gmail.com> - 2.0-20
- Drop timeoutsocket.py to fix BZ 498456.

* Mon Jun 30 2014 Toshio Kuratomi <toshio@fedoraproject.org> - 2.0-19
- Replace python-setuptools-devel BR with python-setuptools

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-18
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Fri Aug 30 2013 Jon Ciesla <limburgher@gmail.com> - 2.0-17
- Fix dates, escape macro in changelog.

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 2.0-11
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Sep 11 2009 Seth Vidal <skvidal at fedoraproject.org> - 2.0-10
- javascript sanitize for https://bugzilla.redhat.com/show_bug.cgi?id=522802

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Nov 29 2008 Ignacio Vazquez-Abrams <ivazqueznet+rpm@gmail.com> - 2.0-7
- Rebuild for Python 2.6

* Sat Oct 11 2008 Richard Dawe <rich@phekda.gotadsl.co.uk> - 2.0-6
- Regenerate shebang patch to apply without fuzz.

* Sat Mar 15 2008 Richard Dawe <rich@phekda.gotadsl.co.uk> - 2.0-5
- Package egginfo.

* Thu Aug 16 2007 Richard Dawe <rich@phekda.gotadsl.co.uk> - 2.0-4
- Update License tag to meet latest licensing guidelines.

* Mon Dec 11 2006 Richard Dawe <rich@phekda.gotadsl.co.uk> - 2.0-3
- Bugfix: "BuildRequires: python-devel" is needed for python 2.5 update.
- Include dist tag in release.

* Sat Dec 09 2006 Richard Dawe <rich@phekda.gotadsl.co.uk> - 2.0-2
- Bugfix: Don't include python version in %%exclude in specfile.
- Bump version for python 2.5 update.

* Thu Sep 14 2006 Richard Dawe <rich@phekda.gotadsl.co.uk> - 2.0-1
- Update to official 2.0 release.
- Include PKG-INFO in the documentation.

* Thu Sep 14 2006 Richard Dawe <rich@phekda.gotadsl.co.uk> - 1.0-0.7.20060218pre
- .pyo files should no longer be %%ghost'ed (bug #205393)
- Updated to follow latest Python packaging guidelines.

* Fri Mar 03 2006 Richard Dawe <rich@phekda.gotadsl.co.uk> - 1.0-0.6.20060218pre
- Rebuild for FC-5.

* Sat Feb 18 2006 Richard Dawe <rich@phekda.gotadsl.co.uk> - 1.0-0.5.20060218pre
- Update to planet--devel--1.0--patch-20. This is no different
  than the previous release. This is purely to use a known,
  source-controlled version.

* Sun Feb 05 2006 Richard Dawe <rich@phekda.gotadsl.co.uk> - 1.0-0.4.20060206pre
- Update to the nearly-final 1.0 release on 20060206.

* Fri Dec 09 2005 Richard Dawe <rich@phekda.gotadsl.co.uk> - 1.0-0.3.20051115arch
- Rename to planet from planetplanet.
- Include INSTALL document.
- Own planet Python sitelib subdirectories.

* Wed Nov 16 2005 Richard Dawe <rich@phekda.gotadsl.co.uk> - 1.0-0.2.20051115arch
- Correct License tag.
- Remove shebang lines from planet module code.
- Bring spec in line with Fedora's Python spec template.

* Wed Nov 16 2005 Richard Dawe <rich@phekda.gotadsl.co.uk> - 1.0-0.1.20051115arch
- Initial packaging.
